2017-11-19 10:17 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004199Kali Linux[All Projects] Kali Package Bugpublic2017-08-29 17:44
Reporterrussm 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version2017.2 
Summary0004199: gnome-terminal cannot launch in current weeklies (2017-W35) due to bad locale?
Descriptiongnome-terminal will not launch from either the dock or command line in current weeklies.
Steps To Reproduceclick on the gnome-terminal icon in the dock, or launch xterm and run "gnome-terminal". after waiting a while, gnome-terminal fails to launch.
Additional Informationwhen trying to run it from within xterm, this happens:

root@kali:~# gnome-terminal
Warning: DESKTOP_STARTUP_ID not set and no fallback available.
Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: Timeout was reached
root@kali:~#

googling suggested a problem with gnome-terminal-server, so checking the journal shows this after having tried to launch gnome-terminal 3 times:

root@kali:~# journalctl | grep gnome-terminal
Aug 28 08:27:28 kali dbus-daemon[953]: Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service'
Aug 28 08:27:28 kali gnome-terminal-server[1469]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Aug 28 08:27:28 kali systemd[945]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Aug 28 08:27:28 kali systemd[945]: gnome-terminal-server.service: Unit entered failed state.
Aug 28 08:27:28 kali systemd[945]: gnome-terminal-server.service: Failed with result 'exit-code'.
Aug 28 08:36:53 kali dbus-daemon[953]: Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service'
Aug 28 08:36:53 kali gnome-terminal-server[1924]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Aug 28 08:36:53 kali systemd[945]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Aug 28 08:36:53 kali systemd[945]: gnome-terminal-server.service: Unit entered failed state.
Aug 28 08:36:53 kali systemd[945]: gnome-terminal-server.service: Failed with result 'exit-code'.
Aug 28 08:53:27 kali dbus-daemon[953]: Activating via systemd: service name='org.gnome.Terminal' unit='gnome-terminal-server.service'
Aug 28 08:53:27 kali gnome-terminal-server[2157]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Aug 28 08:53:27 kali systemd[945]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Aug 28 08:53:27 kali systemd[945]: gnome-terminal-server.service: Unit entered failed state.
Aug 28 08:53:27 kali systemd[945]: gnome-terminal-server.service: Failed with result 'exit-code'.
root@kali:~#

this occurs with kali-linux-2017-W35-amd64.iso and the last few prior weeklies (since W32 or so?)
Attached Files

-Relationships
+Relationships

-Notes

~0007154

broomdodger (reporter)

kali-linux-2017-W35-amd64.iso
SHA256SUMS check ok

+ When started there is no login dialog.
- boots directly to desktop

+ Low Disk Space on "Kali Live" running from a 4 GB flash drive
- the flash drive has 900 MB free

+ Slow jerky moving of windows

Toshiba laptop L675
cpu i5 2.67 GHz
ram 4 GB
ssd 120 GB

~0007157

broomdodger (reporter)

also gnome-terminal does not launch

~0007159

atdtphreaker (reporter)

@broomdodger

I too, am getting a "Low Disk Space on ‘Kali Live’.” flash drive. (19.6gb free)

(kali-linux-2017-W33-amd64.iso)



Thanks.

~0007160

rhertzog (administrator)

Please don't mix up multiple issues. This bug report is about gnome-terminal not starting. Don't speak of anything else.

This is yet another regression related to Wayland. The wayland session has LANG="" which breaks gnome-terminal. The precise reason for this has not been identified yet. In any case, I pushed a work-around solution with kali-root-login 2017.2.0 forcing the use of Xorg.

~0007161

rhertzog (administrator)

You will be able to test the work-around with tomorrow's daily images: http://archive.kali.org/kali-daily-images/ (they will be dated August 29th)

~0007163

russm (reporter)

confirmed gnome-terminal is now working for me in the new daily with Wayland disabled in /u/s/k-r-l/daemon.conf

~0007164

broomdodger (reporter)

confirmed gnome-terminal is now working for me in the new daily

~0007169

rhertzog (administrator)

This is going to be fixed with live-config 5.20170829 that I just uploaded to Debian (and will import into Kali RSN).

~0007176

rhertzog (administrator)

FTR the fix in live-config is here:
https://anonscm.debian.org/cgit/debian-live/live-config.git/commit/?id=0f4f7affdf238b18e9cbcebefb84d5511ec310b3

That is a 4 year old bug but that had direct consequences only after the switch to Wayland because the Xorg session basically does LANG=$GDM_LANG in Debian.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-28 09:12 russm New Issue
2017-08-28 16:20 broomdodger File Added: lowspace02.jpg
2017-08-28 16:20 broomdodger Note Added: 0007154
2017-08-28 16:26 broomdodger File Added: kali-usb.jpg
2017-08-28 19:27 broomdodger Note Added: 0007157
2017-08-28 21:53 atdtphreaker Note Added: 0007159
2017-08-28 22:00 rhertzog Assigned To => rhertzog
2017-08-28 22:00 rhertzog Status new => assigned
2017-08-28 22:00 rhertzog Note Added: 0007160
2017-08-28 22:05 rhertzog Note Added: 0007161
2017-08-29 04:18 russm Note Added: 0007163
2017-08-29 05:27 broomdodger Note Added: 0007164
2017-08-29 12:56 rhertzog Status assigned => closed
2017-08-29 12:56 rhertzog Resolution open => fixed
2017-08-29 12:56 rhertzog Fixed in Version => 2017.2
2017-08-29 12:56 rhertzog Note Added: 0007169
2017-08-29 17:44 rhertzog Note Added: 0007176
+Issue History